Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenAuditContainerImpl

    public interface GenAuditContainer

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Audit Container'. Represents constraint category of emft.validation framework

The following features are supported:

- `Root`
- `Id`
- `Name`
- `Description`
- `Path`
- `Audits`

See Also:
  `GMFGenPackage.getGenAuditContainer()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<GenAuditRule>` `getAudits()` Returns the value of the 'Audits' reference list.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`org.eclipse.emf.common.util.EList<GenAuditContainer>` `getPath()` Returns the value of the 'Path' reference list.
`GenAuditRoot` `getRoot()` Returns the value of the 'Root' container reference.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRoot

    GenAuditRoot getRoot()

  Returns the value of the 'Root' container reference. It is bidirectional and its opposite is '`Categories`'.

  If the meaning of the 'Root' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Root' container reference.
  See Also:
    `GMFGenPackage.getGenAuditContainer_Root()`, `GenAuditRoot.getCategories()`
  ** Generated **
  Model:
    opposite="categories" resolveProxies="false" required="true" transient="false" changeable="false"

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Identifier which is unique within the scope of its parent container.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `GMFGenPackage.getGenAuditContainer_Id()`
  ** Generated **
  Model:
    required="true"

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`
  ** Generated **

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  A human readable name for the category of audits organized in this container

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGenPackage.getGenAuditContainer_Name()`
  ** Generated **
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute. The detailed description of this audit container

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `GMFGenPackage.getGenAuditContainer_Description()`
  ** Generated **
  Model:

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`
  ** Generated **

### getPath

    org.eclipse.emf.common.util.EList<GenAuditContainer> getPath()

  Returns the value of the 'Path' reference list. The list contents are of type `GenAuditContainer`. Hierarchical path of this audit container as ordered list of containers beginning with the root and ended with this container

  Returns:
    the value of the 'Path' reference list.
  See Also:
    `GMFGenPackage.getGenAuditContainer_Path()`
  ** Generated **
  Model:
    required="true"

### getAudits

    org.eclipse.emf.common.util.EList<GenAuditRule> getAudits()

  Returns the value of the 'Audits' reference list. The list contents are of type `GenAuditRule`. It is bidirectional and its opposite is '`Category`'.

  If the meaning of the 'Audits' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Audits' reference list.
  See Also:
    `GMFGenPackage.getGenAuditContainer_Audits()`, `GenAuditRule.getCategory()`
  ** Generated **
  Model:
    opposite="category"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.